APIBilling
Get subscription
Report the workspace's plan, subscription status, seat count, and renewal date. Requires the admin scope.
GET
/billing/subscriptioncurl -X GET "https://productlane.com/api/v2/billing/subscription" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Response
application/json
Successful response
planstringrequiredfree, starter, pro, or scale.
statusstringrequiredStripe status, or none when there is no live subscription.
seatsnumberrequiredcurrent_period_endstring | nullrequiredcancel_at_period_endbooleanrequiredtrial_ends_atstring | nullrequired
{
"plan": "string",
"status": "string",
"seats": 0,
"current_period_end": "string",
"cancel_at_period_end": true,
"trial_ends_at": "string"
}